# 注文

指定された注文を取得します。

Endpoint: GET /v2/project/{project_id}/order/{order_id}
Version: 2.0.0
Security: AuthForCart

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `order_id` (string, required)
    注文IDです。
    Example: "656"

## Response 200 fields (application/json):

  - `order_id` (integer)
    注文IDです。
    Example: 1

  - `status` (string)
    注文ステータス。ステータスの詳細な説明については、[注文のライフサイクル](https://developers.xsolla.com/ja/api/catalog/order-life-cycle)セクションを参照してください。
    Enum: "new", "paid", "done", "canceled", "expired"

  - `content` (object)
    注文の詳細。

  - `content.price` (object)
    注文価格。

  - `content.price.amount` (string)
    注文割引価格。
    Example: "30"

  - `content.price.amount_without_discount` (string)
    注文価格。
    Example: "30"

  - `content.price.currency` (string)
    注文価格の通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) による3文字コード。
    Example: "USD"

  - `content.virtual_price` (object)
    仮想通貨での注文価格。

  - `content.virtual_price.amount` (string)
    注文割引価格。
    Example: "100"

  - `content.virtual_price.amount_without_discount` (string)
    注文価格。
    Example: "150"

  - `content.virtual_price.currency` (string)
    注文に使用する仮想通貨SKU。
    Example: "test_vc"

  - `content.is_free` (boolean)
    trueの場合で、注文は無料です。

  - `content.items` (array)
    アイテムシスト。
    Example: [{"sku":"com.xsolla.item_1","quantity":1,"is_free":false,"price":{"amount":"30","amount_without_discount":"30","currency":"USD"}}]

  - `content.items.sku` (string)
    一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。
    Example: "some_sku"

  - `content.items.quantity` (integer)
    アイテム数量。
    Example: 1

  - `content.items.is_free` (boolean)
    アイテムが無料かどうか。

  - `content.items.price` (object)
    アイテム価格。

  - `content.items.price.amount` (string)
    割引後のアイテム価格。
    Example: "30"

  - `content.items.price.amount_without_discount` (string)
    アイテム価格。
    Example: "30"

  - `content.items.price.currency` (string)
    商品価格通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) による3文字コード。
    Example: "USD"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9001

  - `errorMessage` (string)
    Example: "[0401-9001]: Order not found"


